.body {
  max-width: 100%;
  font-family: "NotoSans", Arial, sans-serif;
  font-size: 18px;
  font-weight: 400;
  line-height: 1.5;
  color: $main;
  overflow: hidden scroll;
}

[class*="__container"] {
  width: 100%;
  max-width: 1440px;
  padding: 0 30px;
  margin: 0 auto;
}

.link {
  color: #198c36;
  transition: 0.3s;
  &:hover {
    color: #116125;
  }
}

.nav-link {
  position: relative;
  &::before {
    content: "";
    position: absolute;
    height: 2px;
    width: 100%;
    bottom: 0;
    left: 0;
    background-color: #fbc8b8;
    transform: scaleX(0);
    transition: all 0.5s;
  }

  &:hover::before {
    transform: scaleX(1);
  }
}

.title {
  font-family: "Recoleta", serif;
  font-size: 48px;
  font-weight: 600;
  line-height: 1.125;
}

.btn {
  position: relative;
  display: inline-block;
  padding: 13px 25px;
  font-size: 16px;
  font-weight: 700;
  border-radius: 30px;
  overflow: hidden;
  z-index: 1;

  &::after,
  &:before {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: 30px;
  }

  &::after {
    z-index: -2;
  }

  &::before {
    transform: translateX(-100%);
    transition: 0.3s;
    z-index: -1;
  }

  &:hover::before {
    transform: translateX(0);
  }
}

.btn--main {
  color: $white;

  &::after {
    background-color: $semi;
  }

  &::before {
    background-color: #15762e;
  }
}

.btn--second {
  color: $main;
  &::after {
    background-color: #fbc8b8;
  }

  &::before {
    background-color: #fab5a0;
  }
}

.header {
  background-color: $main;

  &__logo {
    img {
      width: 100%;
      height: 100%;
    }
  }

  &__inner {
    padding: 30px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

}

.header-menu {

  &__list {
    display: flex;
    align-items: center;
  }

  &__item {
    font-size: 16px;
    font-weight: 700;
    color: $white;
    &:not(:last-child) {
      margin-right: 20px;
    }
  }

}

.content {
  display: flex;
  align-items: center;
  justify-content: center;

  &__image {
    width: 100%;
    max-width: 550px;
  }

  &__info {
    width: 100%;
    max-width: 450px;

    &:nth-child(2n + 1) {
      margin-right: 130px;
    }
    &:nth-child(2n) {
      margin-left: 130px;
    }
  }

  &__text {
    margin: 20px 0;
  }

  &__btn {
    margin-bottom: 20px;
  }
}

.footer {
  background-color: $white;
  &__container {
  }

  &__top {
    padding: 50px 0;
    display: flex;
    align-items: center;
  }

  &__logo,
  &__title,
  &__socials {
    width: 33.333%;
  }

  &__title {
    font-size: 28px;
    text-align: center;
  }

  &__bottom {
    padding: 25px 0;
    display: flex;
    justify-content: space-between;
    font-size: 14px;
    border-top: 1px solid #f2efe6;
  }

  &__nav {
    margin-left: 50px;
  }
}

.socials {
  display: flex;
  align-items: center;
  justify-content: center;

  &__item {
    &:not(:last-child) {
      margin-right: 10px;
    }
  }
}

.footer-menu {
  display: flex;
  flex-wrap: wrap;

  &__item {
    &:not(:last-child) {
      margin-right: 10px;
    }
  }
}
